Нет описания правки
Метка: отменено
Нет описания правки
Метка: отменено
Строка 466: Строка 466:
     color: var(--redlink-color);
     color: var(--redlink-color);
}
}
body.stw-theme-dark .mw-collapsible-text,
:where(body.stw-theme-dark) .toctogglelabel,
:where(body.stw-theme-dark) .jslink,
:where(body.stw-theme-dark) .vector-menu-dropdown .mw-list-item a,
:where(body.stw-theme-dark) .mw-body a.external,
:where(body.stw-theme-dark) .mw-body a.extiw,
:where(body.stw-theme-dark) .mw-parser-output a.external,
:where(body.stw-theme-dark) .mw-parser-output a.extiw,
:where(body.stw-theme-dark) a {
  color: #90c0fe
}
:where(body.stw-theme-dark) .ext-discussiontools-init-replylink-reply:visited,
:where(body.stw-theme-dark) .ext-discussiontools-init-section-subscribe-link:visited,
:where(body.stw-theme-dark) .mw-body a.external:visited,
:where(body.stw-theme-dark) .mw-body a.extiw:visited,
:where(body.stw-theme-dark) .mw-parser-output a.external:visited,
:where(body.stw-theme-dark) .mw-parser-output a.extiw:visited,
:where(body.stw-theme-dark) a:visited {
  color: #9495f4
}
:where(body.stw-theme-dark) a.new,
:where(body.stw-theme-dark) a.mw-usertoollinks-contribs-no-edits {
  color: #ffa4a4
}
:where(body.stw-theme-dark) a.new:visited,
:where(body.stw-theme-dark) a.mw-usertoollinks-contribs-no-edits:visited {
  color: #fb7a7a
}
:where(body.stw-theme-dark) .mw-body a.external:hover,
:where(body.stw-theme-dark) .mw-body a.extiw:hover,
:where(body.stw-theme-dark) .mw-parser-output a.external:hover,
:where(body.stw-theme-dark) .mw-parser-output a.extiw:hover,
:where(body.stw-theme-dark) a:hover {
  color: #7e8eff
}
:where(body.stw-theme-dark) a.new:hover,
:where(body.stw-theme-dark) a.mw-usertoollinks-contribs-no-edits:hover {
  color: #ff8484
}
:where(body.stw-theme-dark) .mw-body a.external:active,
:where(body.stw-theme-dark) .mw-body a.extiw:active,
:where(body.stw-theme-dark) .mw-parser-output a.external:active,
:where(body.stw-theme-dark) .mw-parser-output a.extiw:active,
:where(body.stw-theme-dark) a.new:active,
:where(body.stw-theme-dark) a.mw-usertoollinks-contribs-no-edits:active,
:where(body.stw-theme-dark) a:active {
  color: #faa700
}




Строка 599: Строка 660:
         background-color: #F9F9F9;
         background-color: #F9F9F9;
     }
     }
     body.wgl-theme-dark .alternatecells:nth-child(odd) {
     body.stw-theme-dark .alternatecells:nth-child(odd) {
         background-color: #222;
         background-color: #222;
     }
     }
Строка 606: Строка 667:
         background-color: #F9F9F9;
         background-color: #F9F9F9;
     }
     }
     body.wgl-theme-dark .alternaterows tr:nth-child(even) {
     body.stw-theme-dark .alternaterows tr:nth-child(even) {
         background-color: #222;
         background-color: #222;
     }
     }
Строка 1859: Строка 1920:


/* -------------------- WIKI EDITOR 3 END --------------------*/
/* -------------------- WIKI EDITOR 3 END --------------------*/
/*
SyntaxHighlight_GeSHi
docker compose exec structorica-wiki-app bash
/var/www/html/extensions/SyntaxHighlight_GeSHi/pygments/pygmentize -S monokai -f html -a .mw-highlight > /tmp/monokai.css
cat /tmp/monokai.css
*/
pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.mw-highlight .hll { background-color: #49483e }
.mw-highlight { background: #272822; color: #F8F8F2 }
.mw-highlight .c { color: #959077 } /* Comment */
.mw-highlight .err { color: #ED007E; background-color: #1E0010 } /* Error */
.mw-highlight .esc { color: #F8F8F2 } /* Escape */
.mw-highlight .g { color: #F8F8F2 } /* Generic */
.mw-highlight .k { color: #66D9EF } /* Keyword */
.mw-highlight .l { color: #AE81FF } /* Literal */
.mw-highlight .n { color: #F8F8F2 } /* Name */
.mw-highlight .o { color: #FF4689 } /* Operator */
.mw-highlight .x { color: #F8F8F2 } /* Other */
.mw-highlight .p { color: #F8F8F2 } /* Punctuation */
.mw-highlight .ch { color: #959077 } /* Comment.Hashbang */
.mw-highlight .cm { color: #959077 } /* Comment.Multiline */
.mw-highlight .cp { color: #959077 } /* Comment.Preproc */
.mw-highlight .cpf { color: #959077 } /* Comment.PreprocFile */
.mw-highlight .c1 { color: #959077 } /* Comment.Single */
.mw-highlight .cs { color: #959077 } /* Comment.Special */
.mw-highlight .gd { color: #FF4689 } /* Generic.Deleted */
.mw-highlight .ge { color: #F8F8F2; font-style: italic } /* Generic.Emph */
.mw-highlight .ges { color: #F8F8F2; font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.mw-highlight .gr { color: #F8F8F2 } /* Generic.Error */
.mw-highlight .gh { color: #F8F8F2 } /* Generic.Heading */
.mw-highlight .gi { color: #A6E22E } /* Generic.Inserted */
.mw-highlight .go { color: #66D9EF } /* Generic.Output */
.mw-highlight .gp { color: #FF4689; font-weight: bold } /* Generic.Prompt */
.mw-highlight .gs { color: #F8F8F2; font-weight: bold } /* Generic.Strong */
.mw-highlight .gu { color: #959077 } /* Generic.Subheading */
.mw-highlight .gt { color: #F8F8F2 } /* Generic.Traceback */
.mw-highlight .kc { color: #66D9EF } /* Keyword.Constant */
.mw-highlight .kd { color: #66D9EF } /* Keyword.Declaration */
.mw-highlight .kn { color: #FF4689 } /* Keyword.Namespace */
.mw-highlight .kp { color: #66D9EF } /* Keyword.Pseudo */
.mw-highlight .kr { color: #66D9EF } /* Keyword.Reserved */
.mw-highlight .kt { color: #66D9EF } /* Keyword.Type */
.mw-highlight .ld { color: #E6DB74 } /* Literal.Date */
.mw-highlight .m { color: #AE81FF } /* Literal.Number */
.mw-highlight .s { color: #E6DB74 } /* Literal.String */
.mw-highlight .na { color: #A6E22E } /* Name.Attribute */
.mw-highlight .nb { color: #F8F8F2 } /* Name.Builtin */
.mw-highlight .nc { color: #A6E22E } /* Name.Class */
.mw-highlight .no { color: #66D9EF } /* Name.Constant */
.mw-highlight .nd { color: #A6E22E } /* Name.Decorator */
.mw-highlight .ni { color: #F8F8F2 } /* Name.Entity */
.mw-highlight .ne { color: #A6E22E } /* Name.Exception */
.mw-highlight .nf { color: #A6E22E } /* Name.Function */
.mw-highlight .nl { color: #F8F8F2 } /* Name.Label */
.mw-highlight .nn { color: #F8F8F2 } /* Name.Namespace */
.mw-highlight .nx { color: #A6E22E } /* Name.Other */
.mw-highlight .py { color: #F8F8F2 } /* Name.Property */
.mw-highlight .nt { color: #FF4689 } /* Name.Tag */
.mw-highlight .nv { color: #F8F8F2 } /* Name.Variable */
.mw-highlight .ow { color: #FF4689 } /* Operator.Word */
.mw-highlight .pm { color: #F8F8F2 } /* Punctuation.Marker */
.mw-highlight .w { color: #F8F8F2 } /* Text.Whitespace */
.mw-highlight .mb { color: #AE81FF } /* Literal.Number.Bin */
.mw-highlight .mf { color: #AE81FF } /* Literal.Number.Float */
.mw-highlight .mh { color: #AE81FF } /* Literal.Number.Hex */
.mw-highlight .mi { color: #AE81FF } /* Literal.Number.Integer */
.mw-highlight .mo { color: #AE81FF } /* Literal.Number.Oct */
.mw-highlight .sa { color: #E6DB74 } /* Literal.String.Affix */
.mw-highlight .sb { color: #E6DB74 } /* Literal.String.Backtick */
.mw-highlight .sc { color: #E6DB74 } /* Literal.String.Char */
.mw-highlight .dl { color: #E6DB74 } /* Literal.String.Delimiter */
.mw-highlight .sd { color: #E6DB74 } /* Literal.String.Doc */
.mw-highlight .s2 { color: #E6DB74 } /* Literal.String.Double */
.mw-highlight .se { color: #AE81FF } /* Literal.String.Escape */
.mw-highlight .sh { color: #E6DB74 } /* Literal.String.Heredoc */
.mw-highlight .si { color: #E6DB74 } /* Literal.String.Interpol */
.mw-highlight .sx { color: #E6DB74 } /* Literal.String.Other */
.mw-highlight .sr { color: #E6DB74 } /* Literal.String.Regex */
.mw-highlight .s1 { color: #E6DB74 } /* Literal.String.Single */
.mw-highlight .ss { color: #E6DB74 } /* Literal.String.Symbol */
.mw-highlight .bp { color: #F8F8F2 } /* Name.Builtin.Pseudo */
.mw-highlight .fm { color: #A6E22E } /* Name.Function.Magic */
.mw-highlight .vc { color: #F8F8F2 } /* Name.Variable.Class */
.mw-highlight .vg { color: #F8F8F2 } /* Name.Variable.Global */
.mw-highlight .vi { color: #F8F8F2 } /* Name.Variable.Instance */
.mw-highlight .vm { color: #F8F8F2 } /* Name.Variable.Magic */
.mw-highlight .il { color: #AE81FF } /* Literal.Number.Integer.Long */